## com.google.appengine.api.search.checkers
Class IndexChecker

    java.lang.Object
      com.google.appengine.api.search.checkers.IndexChecker

    public class IndexChecker

extends java.lang.Object

Checks values of `Indexes`.

Field Summary
`static int` `MAXIMUM_DOCS_PER_REQUEST` The maximum number of documents allowed per index and delete request.
`static int` `MAXIMUM_INDEX_NAME_LENGTH` The maximum length for an index name.

Constructor Summary
`IndexChecker()`

Method Summary
`static java.lang.String` `checkName(java.lang.String indexName)` Checks whether an index name is valid.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXIMUM_INDEX_NAME_LENGTH

    public static final int MAXIMUM_INDEX_NAME_LENGTH

  The maximum length for an index name.

  See Also:
    Constant Field Values

### MAXIMUM_DOCS_PER_REQUEST

    public static final int MAXIMUM_DOCS_PER_REQUEST

  The maximum number of documents allowed per index and delete request.

  See Also:
    Constant Field Values

Constructor Detail

### IndexChecker

    public IndexChecker()

Method Detail

### checkName

    public static java.lang.String checkName(java.lang.String indexName)

  Checks whether an index name is valid. It must be a ASCII visible printable string of length between 1 and #MAXIMUM_INDEX_NAME_LENGTH, not start with '!', and not be of the format __.*__, which are reserved sequences for internal index names.

  Parameters:
    `indexName` - the index name to check
  Returns:
    the checked index name
  Throws:
    `java.lang.IllegalArgumentException` - if the index name is not valid.